.header-calculators{
    margin-bottom: 1rem;
}

.header-calculators p{
    text-align: center;
    font-size: 1rem;
}

.calculators-container{
    padding: 0.5rem;
    margin: 0.5rem 0.5rem 2rem;
    border: 5px solid var(--blue-color);
    border-radius: 2rem;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 1rem;
    box-shadow: 0 1rem 1rem #333a;
    background-color: #eee;
}

h4{
    text-align: center;
    font-size: 2rem;
    color: var(--blue-color);
}

.calculator-item{
    border: 2px solid var(--blue-color);
    border-radius: 1.5rem;
    padding: 0.5rem;
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    flex: 1 1 0;
}

#math-matrix-item{
    flex: 2 1 0;
}

#math-cuadratic-item{
    flex: 2 1 0;
}

#math-cuadratic-item img{
    max-width: 12rem;
    margin: 0 auto;
    box-shadow: 7px 7px 12px #0006;
}

#math-prime-item{
}

.calculator-item h5{
    text-align: center;
    font-size: 1.75rem;
}

.calculator-item p{
    text-align: center;
}

#temperature-calculator, #pressure-calculator{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 1rem;
}

.a-calculator{
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
}

.calculator-inputs-container form{
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 0.25rem;
}

.a-calculator input, .a-calculator select{
    border: 2px solid var(--orange-color);
    padding: 0.5rem;
    text-align: center;
    font-weight: bold;
}

.a-calculator input:focus, .a-calculator select:focus{
    outline: 2px solid var(--orange-color);
}

.a-calculator input[type="submit"]{
    border: none;
    background-color: var(--orange-color);
    padding: 0.75rem 2rem;
    color: #fff;
    font-weight: bold;
    text-transform: uppercase;
}

.a-calculator table{
    background-color: var(--blue-color);
    margin: 0;
    padding: 0;
}

.a-calculator table input{
    background-color: #ddd;
    padding: 0.5rem 0;
    margin: 0;
    width: 100%;
    min-width: 2rem;
    border: none;
    font-size: 0.65rem;
}

.a-calculator table input::placeholder{
    color: #bbb;
}

.a-calculator table .b-element{
    background-color: rgb(255, 163, 126);
}

.a-calculator table .b-element::placeholder{
    color: #999;
}

.calculator-special-info{
    font-weight: bold;
    color: var(--orange-color);
}

.calculator-results{
    font-weight: bold;
    color: var(--orange-color);
}

.calculator-error-message{
    color: #f00;
    font-style: italic;
    text-decoration: underline;
    display: none;
}

@media screen and (min-width: 330px){
    .a-calculator table input{
        font-size: 0.75rem;
    }

    .calculator-item{
        padding: 1rem;
    }
}

@media screen and (min-width: 420px){
    .header-calculators p{
        font-size: 1.3rem;
    }

    .a-calculator table input{
        min-width: 2rem;
        font-size: 0.8rem;
    }
}

@media screen and (min-width: 580px){

    .a-calculator table input{
        min-width: 4rem;
    }

}

@media screen and (min-width: 720px){

}

@media screen and (min-width: 950px){

}